<?xml version="1.0"?>
<!--
Test attributeGroup declaration: ref='name of attribute group declared inside a redefine', and xml instant has value different what is defined as fixed in the redefined attributeGroup.
-->
 
<xsd:schema xmlns:xsd='http://www.w3.org/2001/XMLSchema' >

	<xsd:attribute name="att1" type="xsd:string"/>
	
	<xsd:redefine schemaLocation="attgC006vRed.xsd" >
		<xsd:attributeGroup name="car">
			<xsd:attributeGroup ref="car"/>
		</xsd:attributeGroup>
	</xsd:redefine>
	
	<xsd:attributeGroup name="ext">
		<xsd:attributeGroup ref="car" />
	</xsd:attributeGroup>
	
	<xsd:element name="doc">
		<xsd:complexType>
			<xsd:sequence>
			<xsd:element name="test">
				<xsd:complexType>
					<xsd:attributeGroup ref="ext" />
				</xsd:complexType>
			</xsd:element>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>


</xsd:schema>
